UbuntuUpdates.org

Package "aspell"

Name: aspell

Description:

GNU Aspell spell-checker

Latest version: 0.60.8-2ubuntu0.1
Release: hirsute (21.04)
Level: updates
Repository: main
Homepage: http://aspell.net/

Links


Download "aspell"


Other versions of "aspell" in Hirsute

Repository Area Version
base main 0.60.8-2
security main 0.60.8-2ubuntu0.1

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 0.60.8-2ubuntu0.1 2021-07-26 18:06:25 UTC

  aspell (0.60.8-2ubuntu0.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2019-25051.patch: assert that the alloc size will
      fit within a chunk to prevent a buffer overflow in common/objstack.hpp.
    - CVE-2019-25051

 -- Leonidas Da Silva Barbosa <email address hidden> Thu, 22 Jul 2021 15:34:02 -0300

CVE-2019-25051 objstack in GNU Aspell 0.60.8 has a heap-based buffer overflow in acommon::ObjStack::dup_top (called from acommon::StringMap::add and acommon::Config



About   -   Send Feedback to @ubuntu_updates